<md-toolbar class="md-menu-toolbar"
	md-theme="{{app.setting.theme || app.config.theme || 'default'}}"
	md-colors="{backgroundColor: 'background'}">
	<md-menu-bar class="sdp-main-menubar">
		<div layout="row" layout-align="start center">
			
			<md-button
			    aria-label="menu"
			    ng-click="toggleSidenav('amh-sdp.main-sidenav')"
			    class="md-icon-button">
					<wb-icon>menu</wb-icon>
			</md-button>
			
			<!-- automatic dropdown (categories without parent) -->
			<md-menu hide show-gt-sm
				ng-repeat="category in rootCategories"
				md-position-mode="target-right bottom">
					<md-button ng-href="category/{{category.id}}"
						aria-label="{{category.name}}"
						ng-click="openMenu($mdMenu, $event)">
						{{category.name}} <b class="caret"></b> 
					</md-button>
					<md-menu-content width="4"">
						<sdp-category-dropdown ng-model="category"></sdp-category-dropdown>
					</md-menu-content>
			</md-menu>
			
			<!-- automatic dropdown (asset folders without parent) -->
			<!-- 
			<md-menu hide show-gt-sm
				ng-repeat="asset in rootItems"
				ng-if="asset.type == 'folder'"
				md-position-mode="target-right bottom">
					<md-button ng-href="folder/{{asset.id}}"
						aria-label="{{asset.name | translate}}"
						ng-click="openMenu($mdMenu, $event)">
						<b class="caret"></b> {{asset.name | translate}}
					</md-button>
					<sdp-asset-dropdown ng-model="asset"></sdp-asset-dropdown>
			</md-menu>
			-->
			
			<!-- Events -->
			<md-menu hide show-gt-sm ng-if="events.length"
				md-position-mode="target-right bottom">
				<md-button ng-click="$mdMenu.open($event)"
					aria-label="{{'events' | translate}}">
					{{'events' | translate}} <b class="caret"></b>
				</md-button>
				<md-menu-content width="4">
					<md-menu-item ng-repeat="menuItem in events">
						<md-button ng-href="{{menuItem.url}}" style="text-align: right;">
							{{menuItem.title | translate}}
						</md-button>
					</md-menu-item>
				</md-menu-content>
			</md-menu>
			
			<span flex></span>

			<!-- نمایش زبان‌های مورد حمایت -->
			<!-- 
			<md-menu ng-if="languages.length>1">
				<md-button
					aria-label="Open phone interactions menu"
					ng-click="openMenu($mdMenu, $event)">
					{{'language' | translate}}
				</md-button>
				<md-menu-content width="4">
					<md-menu-item ng-repeat="lang in languages">
						<md-button ng-click="changeLanguage(lang.key)">
							{{language.title | translate}}
						</md-button>
					</md-menu-item>
				</md-menu-content>
			</md-menu>
			 -->

			<!-- Brand & Logo -->
			<md-button class="brand-btn" ng-href="/" >
				<img src="{{app.config.logo || 'images/logo.svg'}}" alt="{{app.config.title}}"></img>
			</md-button>

		</div>
	</md-menu-bar>
</md-toolbar>

